import Taro, { Component } from '@tarojs/taro'
import { WebView } from '@tarojs/components'

class Index extends Component {
  onShareAppMessage() {
    const { url } = this.$router.params
    return {
      title: '洪楼Plus-南昌楼市测评-动态资讯-学区地铁',
      path: `/pagesMore/center/webViews?url=${url}`,
    }
  }
  onShareTimeline () {
    return {
      title: '让买房，更省心！',
    }
  }

  constructor (props) {
    super(props)
    this.state = {
      curObj: {},
    }
  }

  componentWillMount () {}

  config = {
    navigationBarTitleText: '洪楼Plus',
  }
  render () {
    const { url } = this.$router.params
    return (
      <WebView src={url} />
    )
  }
}

export default Index
